package de.ivu.elect.business.wahlvorschlag.entity;

import java.io.Serializable;

import javax.enterprise.event.Event;
import javax.inject.Inject;

public class WahlvorschlagReihenfolgeBestaetigenEvent implements Serializable {

  private static final long serialVersionUID = -1L;

  @Inject
  private transient Event<WahlvorschlagReihenfolgeBestaetigenEvent> event;

  private WahlvorschlagPK wahlvorschlagPK;

  private WahlvorschlagReihenfolgeBestaetigenEvent(){
    super();
  }

  public WahlvorschlagReihenfolgeBestaetigenEvent(WahlvorschlagPK wahlvorschlagPK) {
    this.wahlvorschlagPK = wahlvorschlagPK;
  }

  public WahlvorschlagPK getWahlvorschlagPK() {
    return wahlvorschlagPK;
  }


  public void sendWahlvorschlagReihenfolgeBestaetigenEvent(WahlvorschlagPK wahlvorschlagPK) {
    event.fire(new WahlvorschlagReihenfolgeBestaetigenEvent(wahlvorschlagPK));
  }
}
